Bug 1099288 - FlightGear 2018.2.2
FlightGear 2018.2.2
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Enhancement (vote)
: ---
Assigned To: Mathias Homann
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-27 10:12 UTC by pigeons killer
Modified: 2019-02-28 12:09 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pigeons killer 2018-06-27 10:12:02 UTC
Hi developers,

thanks for Flightgear 2017.3.1 for Opensuse.

Not a real bug, anyway that version is obsolete so when Flightgear 2018.2.2 will be available for Tumbleweed?

Have a nice day.
Comment 1 Tomáš Chvátal 2018-06-27 11:46:36 UTC
Where is the flightgear comming from? I don't see it in default openSUSE projects?
Comment 2 Dominique Leuenberger 2018-06-27 13:43:37 UTC
(In reply to Tomáš Chvátal from comment #1)
> Where is the flightgear comming from? I don't see it in default openSUSE
> projects?

https://build.opensuse.org/package/show/openSUSE:Factory/FlightGear
Comment 3 Mathias Homann 2018-06-27 16:02:04 UTC
I'm not quite clear how this got assigned to me, i'm not one of the maintainers of the flightgear packages in obs:games...
Comment 4 Mathias Homann 2018-06-29 12:53:37 UTC
Latest FlightGear does not build cleanly using OpenSceneGraph 3.6.1 which is the latest version with all known security fixes - waiting for upstream to solve this.
Comment 5 Stefan Brüns 2018-06-29 13:06:22 UTC
(In reply to Mathias Homann from comment #4)
> Latest FlightGear does not build cleanly using OpenSceneGraph 3.6.1 which is
> the latest version with all known security fixes - waiting for upstream to
> solve this.

Thanks for working on this. Is upstream aware of the problems?
Comment 6 Mathias Homann 2018-06-29 16:07:56 UTC
they are.
Comment 7 Stefan Brüns 2018-07-01 01:10:11 UTC
(In reply to Mathias Homann from comment #6)
> they are.

Are you sure? The only BR I could find is https://sourceforge.net/p/flightgear/codetickets/1950/ , but that only covers OSG 3.5 and is solved meanwhile.
Comment 8 Mathias Homann 2018-07-01 07:11:53 UTC
well, i've been talking on the flightgear forums about it, and the last comment was https://forum.flightgear.org/viewtopic.php?f=45&t=34452#p333749 which looks like "they" are aware of the issue, but i'll open one on the sourceforge tracker as well.
Comment 9 Mathias Homann 2018-07-01 07:14:37 UTC
https://sourceforge.net/p/flightgear/codetickets/2030/
Comment 10 Stefan Brüns 2018-07-01 21:52:42 UTC
I have create an OpenSceneGraph34 package and submitted it to games:
https://build.opensuse.org/request/show/619958

Next, I took your SimGear and FlightGear branches, fiddled a bit with SimGear, and now both packages build again:
https://build.opensuse.org/package/show/home:StefanBruens:branches:games/SimGear

If it is ok for you, I will submit both packages to games after OpenSceneGraph34 has been accepted.
Comment 11 Mathias Homann 2018-07-02 04:47:21 UTC
sure, works for me, go ahead.
Comment 12 Mathias Homann 2019-02-28 12:09:57 UTC
FlightGear in games has been updated to 2018.3.1 by now, case closed.